<template>
    <MenuItem
        :class_text="itemData.data.class_text"
        :right_text="itemData.data.right_text"
        :itemRefClass="itemData.link.attr.class"
        :itemClass="itemData.attr.class"
        :itemTitle="itemData.title"
        :url="itemData.url"
        :icon="itemData.data.icon"
        :hasLink=true
        v-if="itemData.hasLink">
    </MenuItem>
    <MenuItem
        :itemName="itemData.name"
        :hasChildren="itemData.hasChildren"
        :children="itemData.children"
        :class_text="itemData.data.class_text"
        :right_text="itemData.data.right_text"
        :itemClass="itemData.attr.class"
        :itemTitle="itemData.title"
        :icon="itemData.data.icon"
        :url="itemData.url"
        :arrow="itemData.data.arrow"
        v-else-if="itemData.hasChildren">
    </MenuItem>
    <MenuItem
        :url=false
        :itemClass="menu-title"
        :itemTitle="itemData.title"
        v-else>
    </MenuItem>
<!--       <li v-if="itemData.hasLink">
            <router-link :to="[path => item.url]">
                <span class="{{ item.data.class_text }}" v-if="item.data.class_text">{{ item.data.right_text }}</span>
                <i data-feather="{{ item.data.icon }}" v-if="item.data.icon"></i>
                <span>{{ item.title }}</span>
            </router-link>
        </li>
        <template v-else>
            <li v-if="item.hasChildren">
                <a href="#sidebar-submenu-{{item.name}}" class="nav-link nav-dropdown-toggle" data-toggle="collapse" aria-expanded="{{ item.hasActiveChild() ? 'true' : 'false' }}">
                    <i data-feather="{{ item.data.icon }}" v-if="item.data.icon"></i>
                    <span class="{{ item.data.class_text }}" v-if="item.data.class_text">{{ item.data.right_text }}</span>
                    <span>{{ item.title }}</span>
                    <span class="{{ item.data.arrow }}" v-if="item.data.arrow"></span>
                </a>
                <div class="collapse{{ item.hasActiveChild ? ' show' : '' }}" id="sidebar-submenu-{{ item.name">
                    <ul class="nav-second-level">
                        <template v-for="childItem in item.children" :key="childItem.id">
                            <li v-if="childItem.hasChildren">
                                <a href="#sidebar-submenu-{{childItem.name}}" class="nav-link nav-dropdown-toggle" data-toggle="collapse" aria-expanded="{{ childItem.hasActiveChild() ? 'true' : 'false' }}">
                                    <i data-feather="{{ childItem.data.icon }}" v-if="childItem.data.icon"></i>
                                    <span class="{{ childItem.data.class_text }}" v-if="childItem.data.class_text">{{ childItem.data.right_text }}</span>
                                    <span>{{ childItem.title }}</span>
                                    <span class="{{ childItem.data.arrow }}" v-if="childItem.data.arrow"></span>
                                </a>
                                <div class="collapse{{ childItem.hasActiveChild ? ' show' : '' }}" id="sidebar-submenu-{{ childItem.name }}">
                                    <ul class="nav-second-level">
                                        <template v-for="subchildItem in childItem.children" :key="childItem.id">
                                            <li class="{{ subchildItem.attr.class }}">
                                                <a class="{{ subchildItem.link.attr.class }}" href="{{ subchildItem.url }}">
                                                    {{ subchildItem.title }}
                                                </a>
                                            </li>
                                        </template>
                                    </ul>
                                </div>
                            </li>
                            <li class="{{ childItem.attr.class }}" v-else>
                                <a class="{{ childItem.link.attr.class }}" href="{{ childItem.url }}">
                                    {{ childItem.title }}
                                </a>
                            </li>
                        </template>
                    </ul>
                </div>
            </li>
            <li class="menu-title" v-else>
                {{ item.title }}
            </li>
        </template>-->
</template>

<script>
import MenuItem from './MenuItemComponent';

export default {
    props: {
        itemData: {
            type: Object,
            default: {}
        }
    },
    components:{
        MenuItem
    },
    mounted() {
        // Waves Effect
        Waves.init();

        // Feather Icons
        feather.replace();

    }
}
</script>

<style scoped>

</style>
